package org.jeecg.modules.projectManagement.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.basedata.entity.FdPersonnel;
import org.jeecg.modules.projectManagement.entity.FdProjectFile;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 项目档案
 * @author： jeecg-boot
 * @date：   2019-05-28
 * @version： V1.0
 */
public interface IFdProjectFileService extends IService<FdProjectFile> {

    IPage<FdProjectFile> findByPage(Page<FdProjectFile> page,  QueryWrapper<FdProjectFile> queryWrapper);

    IPage<FdProjectFile> validationCodeFindByPage(Page<FdProjectFile> page,QueryWrapper<FdProjectFile> queryWrapper);

    void addProjectFile(FdProjectFile fdProjectFile);


    void deleteCompound(String id);

    void deleteContracts(String id);


    void deleteAll(String id);

    List<FdPersonnel> getPersonnelList();

    Map<String, Object> auditBatch(@Param("list") List<String> list);

    Map<String, Object> reviewBatch(@Param("list") List<String> list);

    Map<String, Object> closeBatch(@Param("list") List<String> list);

    void copy(String id);

    int fileContractIdentical(String contractId);

    int queryStatus0();

    int queryStatus1();

    int queryStatus2();

    int queryStatus3();

    int queryStatus4();

    FdProjectFile myGetById(String id);

    FdProjectFile selectContractById(String contractId);

    IPage<FdProjectFile> findInformationByPage(Page<FdProjectFile> page,QueryWrapper<FdProjectFile> queryWrapper);
}
